> ## Documentation Index
> Fetch the complete documentation index at: https://developer.duplik.cn/llms.txt
> Use this file to discover all available pages before exploring further.

> 获取一个文档的基本信息

# Query Document Base Info



## OpenAPI

````yaml post /v1/documents/query-base
openapi: 3.0.2
info:
  title: Duplik Backend
  description: The API for Duplik Backend.
  version: 0.1.0
servers:
  - url: https://api.duplik.cn
security: []
paths:
  /v1/documents/query-base:
    post:
      tags:
        - openapi-document
      summary: Query Document Base Info
      description: Query document base info
      operationId: query_document_base_info_v1_documents_query_base_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DocumentBaseInfoRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DocumentBaseInfoResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    DocumentBaseInfoRequest:
      title: DocumentBaseInfoRequest
      required:
        - document_id
      type: object
      properties:
        document_id:
          title: Document Id
          type: string
    DocumentBaseInfoResponse:
      title: DocumentBaseInfoResponse
      type: object
      properties:
        name:
          title: Name
          type: string
        description:
          title: Description
          type: string
        url:
          title: Url
          type: string
    ErrorResponse:
      title: ErrorResponse
      required:
        - code
        - message
      type: object
      properties:
        code:
          title: Code
          type: integer
        message:
          title: Message
          type: string
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````